Package: groovy.org.codenarc.rule.grails

## [Groovy] Class GrailsDomainHasEqualsRule

- groovy.org.codenarc.rule.grails.GrailsDomainHasEqualsRule

- Checks that Grails domain classes redefine equals().

  Authors:
    Geli Crick
    Hamlet D'Arcy
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `applyToFilesMatching`
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### String applyToFilesMatching

    - #### Class astVisitorClass

    - #### String name

    - #### int priority